## org.eclipse.emf.exporter.ui.contribution.base
Class ModelExporterOptionsPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.exporter.ui.contribution.base.ModelExporterOptionsPage

All Implemented Interfaces:
  IModelExporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

    public class ModelExporterOptionsPage

extends ModelConverterPage
implements IModelExporterPage

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary
`protected Button` `saveEPackageURIButton`
`protected Button` `saveExporterButton`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelExporterOptionsPage(ModelExporter modelExporter, java.lang.String pageName)`

Method Summary
`void` `createControl(Composite parent)`
`protected void` `createSaveSettingsControl(Composite parent)`
`protected void` `doHandleEvent(Event event)`
`ModelExporter` `getModelExporter()`
`protected void` `pageActivated(boolean firstTime, int cause)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`dispose, getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, isPageComplete, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### saveEPackageURIButton

    protected Button saveEPackageURIButton

### saveExporterButton

    protected Button saveExporterButton

Constructor Detail

### ModelExporterOptionsPage

    public ModelExporterOptionsPage(ModelExporter modelExporter,
                                    java.lang.String pageName)

Method Detail

### getModelExporter

    public ModelExporter getModelExporter()

  Specified by:
    `getModelExporter` in interface `IModelExporterPage`

### createControl

    public void createControl(Composite parent)

  Specified by:
    `createControl` in interface `IDialogPage`

### createSaveSettingsControl

    protected void createSaveSettingsControl(Composite parent)

### pageActivated

    protected void pageActivated(boolean firstTime,
                                 int cause)

  Overrides:
    `pageActivated` in class `ModelConverterPage`

### doHandleEvent

    protected void doHandleEvent(Event event)

  Overrides:
    `doHandleEvent` in class `ModelConverterPage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.